/*

 - Component Style Overrides
 - Description: This file contains the styles that override the styling
   for the plugin components that are used in the theme.

*/

/* ACCORDION COMPONENT
 - plugin: Accordions Combo
 - author plugin: Pickplugins - http://pickplugins.com/
*/


/* Title */
.ui-accordion .accordions-head-title {
  margin-left: 0!important;
  -webkit-text-decoration: underline dotted;
  text-decoration: underline dotted !important;
  font-size: 2.625rem !important;
  letter-spacing: 0.25rem;
  font-family: 'Staatliches', sans-serif;
  cursor: pointer;
  color: #014b43!important;
}

/* EDIT Link wordpress (admin mode) */
a.post-edit-link {
  color: white;
  background: rgb(30,100,0);
  padding: 4px 9px;
  border-radius: 3px;
}

.ui-accordion .ui-accordion-header {
  padding: 1rem 0 0.5rem 0!important;
}

.ui-accordion .accordions-head-title:after {
  rotate: 0deg;
  transition: rotate 0.2s ease-in-out;
}

.ui-accordion .accordions-head-title:after {
  content: "";
  position: relative;
  margin: 0 0 0 1rem;
  display: inline-block;
  border: 10px solid transparent;
  border-top: 11px solid #014b43;
  border-bottom: none;
  top: -6px;
  rotate: 0deg;
  transition: rotate 0.2s ease-in-out;
}

/* accordion icon 'folded' state*/
.ui-accordion .accordions-head[aria-expanded="false"] .accordions-head-title:after{
  rotate: -90deg;
  transition: rotate 0.2s ease-in-out;
}

/* hide component icons */
.ui-accordion .ui-accordion-header-icon,
.ui-accordion .accordion-icons {
  display: none;
}

/* Content */
.ui-accordion .accordion-content {
  color: #014b43!important;
  font-family: 'Poppins', sans-serif;
}

.ui-accordion .accordion-content p {

}

.ui-accordion .accordion-content h2,
.ui-accordion .accordion-content h3 {
  color: #c88141;
  font-size: 1.875rem;
  line-height: 2.25rem;
  text-align: left;
  margin-bottom: 1.5rem;
  margin-top: 1.5rem;
  font-family: 'Staatliches', sans-serif;
}

.ui-accordion .accordion-content h4,
.ui-accordion .accordion-content h5 {
  color: #c88141;
  font-size: 1.5rem;
  line-height: 2rem;
  text-align: left;
  margin-bottom: 0;
  margin-top: 0.5rem;
  font-weight: 700;
  font-family: 'Poppins', sans-serif;
}

@media (min-width: 768px) {
  .ui-accordion .accordions-head-title {
  text-align: left;
  }
  .ui-accordion .accordion-content{
    font-size: 1.5rem;
    line-height: 2rem;
    text-align: left;
    padding: 0 0 1rem 0!important;
    color: #014b43!important;
  }
}

@media (max-width: 768px) {
    body .ui-accordion .accordions-head-title {
      text-align: left;
      font-size: 2rem !important;
    }
}

/* END ACCORDION COMPONENT */

/* override default wordpress styling (which seems missing */

.alignright {
  float: right;
  margin: 0 0 2rem 1.5rem;
}

.alignleft {
  float: left;
  margin: 0 1.5rem 2rem 0;
}

.aligncenter {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

body div#chatbot-chatgpt {
  background: transparent !important;
  color: #000000 !important;
  border: transparent!important;
  box-shadow: none!important;
  padding: 24px 0 12px 0;
}

body div#chatbot-chatgpt-header-embedded {
  background-color: transparent !important;
  display: none;
}

body div#chatbot-chatgpt .chatbot-bot-text {
  display: inline-block;
  /* font-weight: bold; */
  background-color: #5BC236;
  color: #ffffff;
  padding: 12px 12px;
  border-radius: 9px 9px 9px 0;
  overflow-wrap: anywhere;
  font: inherit;
  font-size: 1.2rem;
  line-height: 1.5rem;
  font-style: normal;
}

body div#chatbot-chatgpt .chatbot-user-text {
  font-size: 1.2rem;
  line-height: 1.5rem;
  background-color: #c88141!important;
}

body div#chatbot-chatgpt-conversation {
  padding: 6px 6px 24px 6px !important;
  border-radius: 9px 9px 0 0;
  border: 2px solid #085f55;
  background: #013b35;
  -webkit-transform-origin: 50% 51%;
}


body div#chatbot-chatgpt.chatbot-embedded-style.chatbot-full{
  overflow: visible!important;
}

/* body div#chatbot-chatgpt:before {
  display: block;
  content: "";
  width: 64px;
  height: 64px;
  background: transparent url('https://greenerlands.nekomedia.nl/wp-content/plugins/kognetiks-chatbot-2.1.9/assets/icons/spring-006.png') no-repeat;
  background-size: 64px;
  position: absolute;
  top: -60px;
  margin-left: -95px;
} */

body div#chatbot-chatgpt #chatbot-chatgpt-message {
  flex-grow: 1;
  background: #ffffff;
  font-size: 1.3rem;
  line-height: 1.4rem;
  padding: 0.5rem 0.7rem;
  outline: none;
  border: 2px solid #085f55;
  border-radius: 0 0 9px 9px;
  width: 100% !important;
  color: #085f55;
}

body div#chatbot-chatgpt #chatbot-chatgpt-message::placeholder {
  color: #c88141;
}

body div#chatbot-chatgpt div#chatbot-chatgpt-buttons-container {
  justify-content: right;
  flex-grow: 0;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.5rem;
  margin: -8px 6px 0 0;
}

body div#chatbot-chatgpt-conversation {
  max-height: unset!important;
}

body button#chatbot-chatgpt-submit,
body #chatbot-chatgpt-buttons-container button[title] {
  background-color: #E2EA95 !important;
  border: none;
  outline: none;
  padding: 4px;
  border-radius: 0 0 4px 4px;
}


/* Normalize input area width */
body div#chatbot-chatgpt div#chatbot-chatgpt-input {
  justify-content: right!important;
}
body div#chatbot-chatgpt div#chatbot-chatgpt-input-area {
  max-width: 100%!important;
}
body div#chatbot-chatgpt div#chatbot-chatgpt-message{
  width: 100%!important;
}


/* RICHTEXT AI CHAT improvements*/
body .chat-message div br {
  margin-bottom: 0.5rem;
  display: block;
  content: " ";
  border-bottom: 1px solid transparent;
}

body .chat-message div strong {
  margin-top: 0.5rem;
  display: inline-block;
}


body #chatbot-chatgpt-conversation .chat-message a,
body #chatbot-chatgpt-conversation .chat-message a:visited {
  color: #014b43!important;
}
body #chatbot-chatgpt-conversation .chat-message a:hover {
  color: #025f25!important;
}

/* Special AI title overrule */
#getting-started h2 > span {
  color: #E2EA95;
}


/* Mobile view for chatbot (also uses 600 */
@media (max-width: 600px) {
  #getting-started h2 > span {
    margin-left: 56px;
  }

  body div#chatbot-chatgpt div#chatbot-chatgpt-buttons-container {
    padding-right: 0.5rem;
  }

  /* body div#chatbot-chatgpt:before {
    margin-left: -16px;
  } */

  body div#chatbot-chatgpt .chatbot-bot-text {
    font-size: 1rem;
    line-height: 1.3rem;
    background-color: #4ca32d!important;
  }

  body div#chatbot-chatgpt .chatbot-user-text {
    font-size: 1rem;
    line-height: 1.3rem;
  }

  body div#chatbot-chatgpt #chatbot-chatgpt-message {
    font-size: 1rem;
    line-height: 1.3rem;
    margin-top: 1rem;
  }

  body div#chatbot-chatgpt-conversation {
    max-height: unset!important;
  }
}